package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class DistintaBanca.
 * @see sicura.entities.DistintaBanca
 * @author Hibernate Tools
 */
@Stateless
public class DistintaBancaHome {

	private static final Log log = LogFactory.getLog(DistintaBancaHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(DistintaBanca transientInstance) {
		log.debug("persisting DistintaBanca instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(DistintaBanca persistentInstance) {
		log.debug("removing DistintaBanca instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public DistintaBanca merge(DistintaBanca detachedInstance) {
		log.debug("merging DistintaBanca instance");
		try {
			DistintaBanca result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public DistintaBanca findById(Integer id) {
		log.debug("getting DistintaBanca instance with id: " + id);
		try {
			DistintaBanca instance = entityManager.find(DistintaBanca.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
